/* Variables / presets */
:root {
  --colour-primary-bg-blue: #0f4d8f;
  --colour-primary-bg-grey: #313131;
  --colour-primary-light-grey: #b4b4b4;

  --colour-nyan-red: #ff0000;
  --colour-nyan-orange: #ff9900;
  --colour-nyan-yellow: #ffff00;
  --colour-nyan-green: #33ff00;
  --colour-nyan-blue: #0099ff;
  --colour-nyan-purple: #6633ff;
  --colour-nyan-body-grey: #999;
  --colour-nyan-body-pink: #ff99ff;
  --colour-nyan-body-orange: #ffcc99;
  --colour-nyan-body-fuchsia: #ff3399;
  --colour-nyan-body-salmon: #ff9999;
  
  --colour-transparent-0: rgba(0,0,0,0);
  --colour-transparent-1: rgba(0,0,0,1);

  --main-border-1: 2px solid var(--colour-primary-light-grey);
}
/* Base style */
body {
  background-color: var(--colour-primary-bg-blue);
  background-image:
    url("data:image/svg+xml,%3Csvg width='100' height='100' xmlns='http://www.w3.org/2000/svg'%3E%3Crect width='1' height='1' x='50' y='10' fill='%23bbb'/%3E%3Crect width='1' height='1' x='90' y='50' fill='%23bbb'/%3E%3Crect width='1' height='1' x='30' y='80' fill='%23bbb'/%3E%3C/svg%3E"),
    url("data:image/svg+xml,%3Csvg width='150' height='150' xmlns='http://www.w3.org/2000/svg'%3E%3Crect width='2' height='2' x='20' y='30' fill='%23ddd'/%3E%3Crect width='2' height='2' x='110' y='90' fill='%23ddd'/%3E%3Crect width='2' height='2' x='60' y='140' fill='%23ddd'/%3E%3C/svg%3E"),
    url("data:image/svg+xml,%3Csvg width='200' height='200' xmlns='http://www.w3.org/2000/svg'%3E%3Crect width='3' height='3' x='160' y='40' fill='%23fff'/%3E%3Crect width='3' height='3' x='40' y='120' fill='%23fff'/%3E%3Crect width='3' height='3' x='130' y='170' fill='%23fff'/%3E%3Crect width='3' height='3' x='90' y='70' fill='%23fff'/%3E%3C/svg%3E");
  background-size: 100px 100px, 150px 150px, 200px 200px;
  animation: background-stars 10s linear infinite;

  font-family: "ms-sans-serif", sans-serif;
  font-size: 15px;
  color: #fff;
  /*cursor: crosshair;*/
  margin: 0;
  padding: 20px 0;
  overflow-x: hidden;
}

@keyframes background-stars {
  from { background-position: 0px 0px, 0px 0px, 0px 0px; }
  to { background-position: -100px 0px, -150px 0px, -200px 0px; }
}

@font-face {
  font-family: "ms-sans-serif";
  src: url(/fonts/ms-sans-serif.woff2) format("woff2");
}
@font-face {
  font-family: "ms-sans-serif";
  src: url(/fonts/ms-sans-serif-bold.woff2) format("woff2");
  font-weight: bold;
}

p {
  margin: 2px;
}
ul {
  margin: 0;
  padding-inline-start: 1em;
  list-style-type: none
}

/* Page style */
.desktop-container {
  display: grid;
  grid-template-columns: 250px 1fr;
  gap: 15px;
  max-width: 1200px;
  margin: 0 auto;
  align-items: start;
}

/* Window components */
.window {
  border: var(--main-border-1);
  padding: 4px;
  background: var(--colour-primary-bg-grey);
  box-shadow: 4px 4px 0px rgba(0,0,0,0.2);
  margin-bottom: 15px;
  display: flex;
  flex-direction: column;
}

.window-title {
  border: var(--main-border-1);
  text-shadow: 0 0 16px #c6c6c6, 1px 1px 2px #202020;
  padding: 4px 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: bold;
  font-size: 16px;
  position: relative;
  z-index: 1;
}
.window-title::before {
  content: "";
  background: linear-gradient(90deg, var(--colour-nyan-red) 0% 17%, var(--colour-nyan-orange) 17% 34%, var(--colour-nyan-yellow) 34% 51%, var(--colour-nyan-green) 51% 68%, var(--colour-nyan-blue) 68% 84%, var(--colour-nyan-purple) 84% 100%);
  mask-image: linear-gradient(to bottom, var(--colour-transparent-0) 1%, var(--colour-transparent-1) 30%, var(--colour-transparent-0));
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  position: absolute;
}
.window-title span {
  z-index: 1;
  display: grid;
  grid-auto-flow: column;
  align-items: center;
}

.window-content {
  border: 2px solid var(--colour-primary-light-grey);
  margin-top: 2px;
}

.window-section {
  border: 2px solid var(--colour-primary-light-grey);
  margin-top: 4px;
}
.window-section-title {
  padding: 4px 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: bold;
  font-size: 16px;
  position: relative;
  z-index: 1;
}
.window-section-title::before {
  content: "";
  background: linear-gradient(90deg, var(--colour-nyan-red) 0% 17%, var(--colour-nyan-orange) 17% 34%, var(--colour-nyan-yellow) 34% 51%, var(--colour-nyan-green) 51% 68%, var(--colour-nyan-blue) 68% 84%, var(--colour-nyan-purple) 84% 100%);
  mask-image: linear-gradient(to bottom, var(--colour-transparent-0) 1%, var(--colour-transparent-1) 30%, var(--colour-transparent-0));
  width: 100%;
  height: 120%;
  top: 0;
  left: 0;
  position: absolute;
}
.window-section-title span {
  z-index: 1;
}

.content-type-1 {
  background: #333;
  padding: 10px;
}
.content-type-2 {
  background-image: url("/media/background-grid.svg");
  background-size: 20px;
  animation: background-scroll 2s linear infinite;
  padding: 10px;
}
@keyframes background-scroll {
  0% { background-position: 0 0; }
  100% { background-position: -60px 0; }
}


/* ELEMENTS */
.btn {
  display: block;
  background: #ccc;
  border: 2px outset #fff;
  padding: 5px;
  margin-bottom: 5px;
  text-decoration: none;
  color: #000;
  font-weight: bold;
}
.btn:active { border-style: inset; }

img { max-width: 100%; image-rendering: pixelated; }

.link-custom-1 {
  color: #fff;
}

/* SCROLLBARS */
::-webkit-scrollbar { width: 12px; }
::-webkit-scrollbar-track { background: var(--colour-primary-light-grey); }
::-webkit-scrollbar-thumb { background: var(--colour-nyan-body-pink); border: 2px solid var(--colour-nyan-body-orange); }

.update-entry {
  border-top: 1px dashed #c2c2c2;
  padding: 16px 4px;
  margin-top: 8px;
}

.gallery {
  display: none;
  position: fixed;
  z-index: 100;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}
.gallery.open {
  display: flex;
}
.gallery-trigger {
  cursor: pointer;
}
.gallery-content {
  max-width: 80%;
  max-height: 80%;
}
.gallery-close {
  position: absolute;
  top: 20px;
  right: 20px;
  font-size: 24px;
  color: #fff;
  cursor: pointer;
}
